import { AfterViewInit, OnDestroy, TemplateRef, Renderer2, ViewContainerRef, ApplicationRef, ComponentFactoryResolver, ElementRef, NgZone } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
import { NzbPopupOptions } from '../common/nzb-popup-options.class';
export declare abstract class NzbAbstractPopup implements AfterViewInit, OnDestroy {
    private elementRef;
    private renderer;
    private viewContainer;
    private appRef;
    private cfr;
    private ngZone;
    private defaultOptions;
    protected abstract bsComponentName: string;
    protected abstract getInputTitleTemplate(): TemplateRef<any> | null;
    protected abstract getInputContentTemplate(): TemplateRef<any> | null;
    protected abstract getInputOptions(): NzbPopupOptions | null;
    protected eventsSubject: Subject<Event>;
    protected statusSubject: BehaviorSubject<string>;
    private titleComponentRef;
    private contentComponentRef;
    protected enabledSubject: BehaviorSubject<boolean>;
    readonly enabled: Observable<boolean>;
    readonly status: Observable<string>;
    readonly events: Observable<Event>;
    readonly data: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, viewContainer: ViewContainerRef, appRef: ApplicationRef, cfr: ComponentFactoryResolver, ngZone: NgZone, defaultOptions: NzbPopupOptions);
    protected getEventNames(): string;
    private normalizeOptions();
    private initPopup();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggle(): void;
    show(): void;
    hide(): void;
    enable(): void;
    disable(): void;
    toggleEnabled(): void;
    update(): void;
}
