import { AfterContentInit, OnInit, ElementRef, Renderer2, QueryList, NgZone } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/combineLatest';
import 'rxjs/add/operator/takeUntil';
import { NzbTabDirective } from './nzb-tab.directive';
import { NzbTabPaneDirective } from './nzb-tab-pane.directive';
import { NzbTabData } from './nzb-tab-data.class';
export declare class NzbTabsComponent implements AfterContentInit, OnInit {
    private elementRef;
    private renderer;
    private ngZone;
    animation: boolean;
    uniqueId: string;
    shownTab: number | string;
    nzbTabDirectives: QueryList<NzbTabDirective>;
    nzbTabPaneDirectives: QueryList<NzbTabPaneDirective>;
    private ngUnsubscribe;
    private tabsMap;
    private tabsSubject;
    readonly tabs: Observable<NzbTabData[]>;
    private activeTabSubject;
    readonly activeTab: Observable<NzbTabData | null>;
    private eventsSubject;
    readonly events: Observable<Event>;
    constructor(elementRef: ElementRef, renderer: Renderer2, ngZone: NgZone);
    private init();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    show(id: string): void;
}
